Name: bonnie++
Version: 1.03a
Release: 2mdk
Summary: A program for benchmarking hard drives and filesystems
License: GPL
Group: System/Kernel and hardware
URL: http://www.coker.com.au/bonnie++/
Source: http://www.coker.com.au/bonnie++/bonnie++-%{version}.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: bonnie
Obsoletes: bonnie

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of simple
tests of hard drive and file system performance.

%prep
%setup -q
autoconf

%build
%configure2_5x
%make 
perl -pi -e "s@/usr/share/doc/bonnie\+\+/@%_docdir/%name-%version/@" bonnie++.8

%install
rm -rf $RPM_BUILD_ROOT
[ -e debian/changelog ]&& (rm -f changelog.txt;mv debian/changelog changelog.txt)
perl -pi -e "s@usr/share/man@%{buildroot}%_mandir@g" Makefile
%makeinstall eprefix=%{buildroot} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt readme.html credits.txt
/sbin/bonnie++
/sbin/zcav
/bin/bon_csv2html
/bin/bon_csv2txt
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.03a-2mdk
- Rebuild

* Mon Mar 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.03a-1mdk
- Release 1.03a.

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.02c-4mdk
- rebuild
- drop redundant dependencies

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-3mdk
- build release

* Fri Nov 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-2mdk
- alter the man page to point to right html doc place

* Thu Nov 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02c-1mdk
- new relaease (bug fixes)
- rediff patch 0 (Gtz Waschk)

* Mon Oct 28 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-6mdk
- rpmlint fixes

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-4mdk
- Automated rebuild with gcc3.2

* Sat May 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-3mdk
- Requires: libstdc++2.10 isn't needed anymore with gcc-3.1 ...

* Fri Apr 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.02a-2mdk
- Remove duplicate entries in filelist
- Patch0: ISO C++ fixes (use standard headers), aka fix build with gcc-3.1

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02a-1mdk
- new release

* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.02-2mdk
- reduce requires on PPC from libstdc++2.10 to libstdc++

* Thu Oct 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-1mdk
- initial releaes
- this package replace the old non-gpl bonnie
